Subject: [pim] Query regarding Scope Zone Cand-RP and Cand- BSR in Pim-smv6

From: "Ganga Prabha" <[email-masked]>
Date: Wed, 1 Aug 2007 10:57:28 +0530

Hi,

 I have few queries on Scope Zone mentioned in  "
draft-ietf-pim-sm-bsr-09.txt
   Sec 4.1 Page 28 about which describes .
       Group Address 1..n
         The group prefix (address and mask) with which the Candidate-RPs
        are associated. . In a fragment containing  admin scope ranges,
        the first group address in the fragment MUST satisfy the following
        conditions: it MUST have the Admin Scope bit set; for IPv4 it
         MUST be the group range for the entire admin scope
         range (this is the case even if there are no RPs in the RP-Set for
         the entire admin scope range - in this case the sub-ranges for the
         RP-Set are specified later in the fragment along with their RPs
         for IPv6 the Mask Len MUST be at least 16 and have the scope ID of
         the admin scope range.
   I will explain what i have understood :
   If the Multicast address in Cand- BSR message is ff0e::7/16
   the first eight (MSB) bits  denotes that the address is Multicast.
   the next four bits - 0000 - denotes the flag
   the next four bits 1110 (e)  - denotes the scope ID. (rfc4291 Sec.2.7 )

   I have the following questions :
   1) How we can make the canditate BSR to be in one scope zone?
      In case ,the Canditate BSR is for scope zone 5, what will packet
      format of the BSR message he will generate? I would request
      if someone could explain me this with some examples in terms of Ipv6
format.

   2) How the Cand - RP will know that he has to send the packet in the
scope zone?
      Will there be some configurations available?

   3) What is meant by Admin Scope bit?

-- 
With Regards,
K.Ganga Prabha
_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim

---

From: Stig Venaas <[email-masked]>
Date: Tue, 14 Aug 2007 14:14:39 +0200

Ganga Prabha wrote:
> Hi,
>  
>  I have few queries on Scope Zone mentioned in 
> "draft-ietf-pim-sm-bsr-09.txt
>       if someone could explain me this with some examples in terms of
> Ipv6 format.

The first group range in the BSM will then have the Admin Scope bit set.
For scope 5, you would use a group range of scope 5 and mask length of
at least 16. If you have RPs for say the group range ff15::/16, you
could put that first in the BSM and set the Admin Scope (Z) bit. This
will then show that this is a BSM for scope 5.
>       Will there be some configurations available?

A candidate RP for a range of scope 5 (e.g. ff15::/16) would by
receiving BSMs for scope 5 learn of the zone, and then if/when there is
an elected BSR for the zone it will send C-RP Advs to that elected BSR.
>    3) What is meant by Admin Scope bit?

See above,

Stig

> 
> 
> -- 
> With Regards,
> K.Ganga Prabha
> 
> 
> ------------------------------------------------------------------------
>